Chapter 2. Installation
Prev |  | Next

## Chapter 2. Installation

The “configure” shell script attempts to guess correct values for various system-dependent variables used during compilation. It uses those values to create a `Makefile` in each directory of the package. It may also create one or more `.h` files containing system-dependent definitions. Finally, it creates a shell script `config.status` that you can run in the future to recreate the current configuration, a file `config.cache` that saves the results of its tests to speed up reconfiguring, and a file `config.log` containing compiler output (useful mainly for debugging `configure`).

If you need to do unusual things to compile the package, please try to configure out how `configure` could check whether to do them, and mail diffs or instructions to the address given in the `README` so they can be considered for the next release. If at some point `config.cache` contains results you don't want to keep, you may remove or edit it.

The file `configure.in` is used to create `configure` by a program called `autoconf`. You only need “configure.in” if you want to change it or regenerate `configure` using a newer version of `autoconf`.

The simplest way to compile this package is:

1. `cd` to the directory containing the package's source code and type `./configure` to configure the package for your system. If you're using `csh` on an old version of System V, you might need to type `sh ./configure` instead to prevent `csh` from trying to execute `configure` itself. To know all of the possible options, type `./configure --help` or read the next section about options.

   Running `configure` takes awhile. While running, it prints some messages telling which features it is checking for.

2. Type `make` to compile the package.

3. Optionally, type `make check` to run any self-tests that come with the package.

4. Type `make install` to install the programs, data files and documentation.

5. You can remove the program binaries and object files from the source code directory by typing `make clean`. To also remove the files that `configure` created (so you can compile the package for a different kind of computer), type `make distclean`. There is also a `make maintainer-clean` target, but that is intended mainly for the package's developers. If you use it, you may have to get all sorts of other programs in order to regenerate files that came with the distribution.

If you don't find the `configure` shell, you have to generate it with `gen-conf.sh`. The processing using the GNU build sytem gives a `configure` shell.

### Caution

Verify `QTDIR` is properly set : `QTDIR/bin` should contain moc, qtconfig... , `QTDIR/lib` the libs and `QTDIR/include` the Qt headers ...

To compile the documentations, type `make html` and `make install` to install the documentation the `share` directory.

## 1. Options

In this section, you can find the most used options. To know all of the possible options, type `./configure --help`

`--prefix` = value

  The value is the path where you want to install Tulip. `bin, include, lib` directories was created in this location. By default, it is `/usr/local/`.

`--enable-debug`

  Add compilation flags to allow debugging.

`--enable-maintainer-mode` = value

  Enable make rules and dependencies not useful (and sometimes confusing) to the casual installer. For example, if you modify a `Makefile.am` file, it is detected and the `Makefile` is updated.

`--CXXFLAGS`

  Enable to specify special tags for the g++ compiler. It is an important part to have great performings. For example, you can specify the architecture of your PC : --CXXFLAGS="-DNDEBUG -O3 --funroll-loops `-mtune=pentium4 -narch=pentium4` -pipe". For more informations about the options of compilations for g++, see the web site of gcc, here.

Prev |  | Next
Chapter 1. Introduction | Home | Chapter 3. Tulip Library